import { select, text,  json, geoPath, geoMercator } from 'd3';
import { feature } from 'topojson';

const svg = d3.select('svg');

const projection = geoMercator();
const pathGenerator = geoPath().projection(projection);

json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')
	.then((data)=>{
  	const countries = feature(data, data.objects.countries )
		console.log(countries)
  
  
  
svg.selectAll('path')
		.data(countries.features)
    .enter().append('path')
  	.attr('d', pathGenerator)
	});



const group = svg.append('g');
group
.style('transform', `translate(${svg.attr('height') / 2})`);

group
.append('text')
  .text('test')
.style('fill', 'black')


const test = svg.select('path')



	.attr('d', d => console.log(d))

